This is the mail archive of the cygwin-apps mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: Emacs is coming back - all pleased?

Hash: SHA1

[moving back to cygwin-apps, since this is about packaging issues; no need
to reply to the main list]

According to Angelo Graziosi on 7/19/2007 8:51 AM:
> 1)
> Emacs22 depend on xemacs-emacs-common which depend from xemacs: WHY to
> install emacs one should install XEmacs ?

That sounds like a backwards dependency.  Volker, shouldn't it be that
xemacs depends on xemacs-emacs-common, and that xemacs-emacs-common is
standalone?  If you agree, I can change the setup.hints.

> 2)
> XEmacs comes with AUCTEX, so if one should use xemacs-emacs-common,
> WHY not adding auctex to it?

I didn't think this was a showstopper for uploading -3, but hope that
Steffen can look into it and release a -4 someday.

 > 3)
> Installing Emacs22 via setup has some strange behaviour.
> Selecting emacs-X11 package does not select those packages from which it
> depend (emacs,...).

That's because of a setup.exe limitation - it does not pick up
dependencies that are not on the same server as the package you are
picking up.  Now that I have uploaded emacs to, that should no
longer be an issue (but in the meantime, Steffen could have worked around
that by copying a few more packages to his site).

> Beside this clicking on emacs-X11 first selects the old 21 packages then
> 22.

Again due to setup.exe weirdness when pulling to setup.ini from different
servers with different ideas about what version should be experimental.

- --
Don't work too hard, make some time for fun as well!

Eric Blake   
Version: GnuPG v1.4.5 (Cygwin)
Comment: Public key at
Comment: Using GnuPG with Mozilla -


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]